# debug模式，部分权限校验不生效
debug: false

# 项目相关配置
ruoyi:
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /home/www/projects/smart-switch/upload

wx:
  # 微信小程序appId
  appid: wx0fec9148db16a4bc
  # 微信小程序appSecret
  appSecret: 00bee09cac12ade459a911072745dacc
  # 微信支付配置
  pay:
    # 微信小程序id
    appId: ${wx.appid}
    # 商户id
    merchantId: 1656437344
    # apiV3密钥
    apiV3Key: 49819e0f0abdb2df3246f7b27f264d75
    # 通知回调地址
    notifyUrl: https://kg.chuantewulian.cn/test-api/app/pay/notify/wx  # 测试环境
    # 退款通知回调地址
    refundNotifyUrl: https://kg.chuantewulian.cn/test-api/app/pay/notify/wx/refund
    # 密钥所在位置
    privateKeyPath: /home/www/projects/smart-switch/wxpay/apiclient_key.pem
    # 证书序列号
    merchantSerialNumber: 66910F800A60768020F07D39A56AE701574A16AE

# 设备配置
device:
  # 项目启动时抄表
  startRecord: true

spring:
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 1
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
